Xalan-Java 2.7.1: Class DocumentCache

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class DocumentCache

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.DocumentCache

public final class DocumentCache
extends java.lang.Object
implements DOMCache

Inner Class Summary
`class` | `DocumentCache.CachedDocument`

Constructor Summary
`DocumentCache(int size)` DocumentCache constructor
`DocumentCache(int size, XSLTCDTMManager dtmManager)` DocumentCache constructor

Method Summary
`void` | `getStatistics(java.io.PrintWriter out)` Outputs the cache statistics
`DOM` | `retrieveDocument(java.lang.String baseURI, java.lang.String href, Translet trs)` Returns a document either by finding it in the cache or downloading it and putting it in the cache.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentCache

    public DocumentCache(int size)
                  throws SAXException

  DocumentCache constructor

### DocumentCache

    public DocumentCache(int size,
                         XSLTCDTMManager dtmManager)
                  throws SAXException

  DocumentCache constructor

Method Detail

### retrieveDocument

    public DOM retrieveDocument(java.lang.String baseURI,
                                java.lang.String href,
                                Translet trs)

  Returns a document either by finding it in the cache or downloading it and putting it in the cache.
  Specified by:
    retrieveDocument in interface DOMCache

### getStatistics

    public void getStatistics(java.io.PrintWriter out)

  Outputs the cache statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.